net.snowflake.client.jdbc

## Class ArrowResultChunk.ArrowChunkIterator

- java.lang.Object
- - net.snowflake.client.jdbc.ArrowResultChunk.ArrowChunkIterator

Enclosing class:
  ArrowResultChunk

    public static class ArrowResultChunk.ArrowChunkIterator
    extends Object

Iterator class used to go through the arrow chunk row by row

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowResultChunk` `getChunk()`
`ArrowVectorConverter` `getCurrentConverter(int columnIdx)`
`int` `getCurrentRowInRecordBatch()`
`boolean` `isAfterLast()`
`boolean` `isLast()`
`boolean` `next()` advance to next row

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### next

    public boolean next()
                 throws SnowflakeSQLException

advance to next row

Throws:
  `SnowflakeSQLException`

#### isLast

    public boolean isLast()

#### isAfterLast

    public boolean isAfterLast()

#### getChunk

    public ArrowResultChunk getChunk()

#### getCurrentConverter

    public ArrowVectorConverter getCurrentConverter(int columnIdx)
                                             throws SFException

Throws:
  `SFException`

#### getCurrentRowInRecordBatch

    public int getCurrentRowInRecordBatch()

Returns:
  index of row in current record batch